## calf 0.90.1

=== debian/changelog ===
calf (0.90.1-2) unstable; urgency=medium

  * Fix autopkgtest failure with X virtual framebuffer (xvfb)

 -- Ross Gammon <rossgammon@debian.org>  Sat, 24 Nov 2018 18:07:58 +0100

calf (0.90.1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Add myself as uploader.
  * Set priority optional.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patches refreshed/removed.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fixed Vcs-* stanzas to salsa.d.o
  * Updated maintainer email address
  * Bumped standards version to 4.1.3

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Erich Eickmeyer ]
  * debian/rules: clean up and modernize rules file
  * debian/control: conflict against calf-ladspa
  * Begin switch to debhelper from cdbs
  * Set debhelper compat level to 11

  [ Ross Gammon ]
  * New upstream release (Closes: #829737, #901705)
    (LP: #1769785)
  * Refresh patches
  * Unapply patches from source
  * Finish switch to debhelper
  * Fix short package description
  * Conflict against calf-ladspa, which is deprecated upstream &
    causes crashes in Ardour when both are installed (LP: #1787414)
  * Add Erich to copyright file
  * Bump version of debhelper build dependency
  * Drop useless dh-autoreconf and autotools-dev build dependencies
  * Add myself to Uploaders
  * Update copyrights & add myself
  * Drop unused & update lintian overrides
  * Drop Jonas from uploaders
  * Bump Standards Version to 4.2.1, no changes required
  * Start with simple dh debian/rules
  * Drop lintian override for missing js source, no longer in tarball
  * Enable all hardening flags
  * Drop cdbs depends, now we have switched to dh
  * Reinstate building experimental and sse flags, sse for both i386 and amd64
  * Reinstate clearout of la files
  * Close bugs in changelog
  * Reduce line length in changelog
  * Add patch to add keywords to desktop file
  * Add a simple autopkgtest
  * Add an upstream metadata file
  * Add a Gitlab CI file

 -- Ross Gammon <rossgammon@debian.org>  Thu, 15 Nov 2018 08:55:40 +0100

calf (0.0.60-5) unstable; urgency=medium

  * Update watch file: Drop uversionmangle upsetting uscan.
  * Add patches cherry-picked upstream to fix GCC 6 compilation
    (replacing patch 3001).
  * Add patches cherry-picked upstream to fix various bugs.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.
  * Update copyright info:
    + Use license shortname public-domain (not PD).
    + Extend coverage of packaging.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied even in oldstable.
    + Stop build-depend on devscripts libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2017 22:55:48 -0400

calf (0.0.60-4) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Team upload.

  [ Johannes Brandstätter ]
  * Fix compilation errors when using GCC 6.

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 14:31:59 +0200

calf (0.0.60-3) unstable; urgency=medium

  * Update watch file:
    + Modernize to use format 4.
    + Mention gbp in usage hint comment.
    + Mangle upstrem prerelease versions.
  * Add patch cherry-picked upstream to fix comboboxes in Ardour4.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize copyright-check CDBS hints.
    + Strop include license-check script (part of cdbs now).
    + Tighten build-dependency on debhelper.
    + Build-depend on libipc-system-simple-perl.
    + Build-depend on libfont-ttf-perl (not lcdf-typetools).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Jun 2016 11:50:24 +0200

=== debian/control ===
Source: calf
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Tiago Bortoletto Vaz <tiago@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Ross Gammon <rossgammon@debian.org>
Build-Depends: automake,
 autoconf,
 debhelper (>= 10~),
 dh-buildinfo,
 libglib2.0-dev,
 libgtk2.0-dev,
 libreadline-dev,
 libexpat1-dev,
 libjack-dev,
 libfftw3-dev,
 libfluidsynth-dev,
 libcairo2-dev,
 libasound2-dev [linux-any],
 lv2-dev,
 libtool,
 libjs-jquery,
 libjs-jquery-colorbox
Standards-Version: 4.2.1
Homepage: http://calf-studio-gear.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/calf.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/calf

Package: calf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gtk2-engines-pixbuf
Suggests: ladish
Provides: lv2-plugin
Conflicts: calf-ladspa
Replaces: calf-ladspa
Description: Calf Studio Gear - audio effects and sound generators
 The Calf plugins include all todays frequently used studio effects
 along with some feature-rich sound processors.
 .
 Calf Studiogear is designed to run under the most flexible plugin
 standard in Linux, namely LV2. So you're able to insert them in lots of
 plugin-capable audio software like Ardour, Rosegarden and others.
 .
 The Calf Rack offers you all Calf effects and synthesizers in an
 easy-to-use studio rack. Wire the effects through Jack to build your own
 studio environment and trigger the sound processors live or through a
 MIDI sequencer or tracker.
 .
 Calf Rack supports LADISH level 1.

=== debian/tests/control ===
Tests: version
Depends: @, xauth, xvfb

## calf 0.90.2

=== debian/changelog ===
calf (0.90.2-1) experimental; urgency=medium

  * New upstream release
  * Drop 1002-lv2core_to_lv2.patch, fixed upstream
  * Add new copyright
  * Bump standards version, no changes required
  * Use latest Salsa Pipeline runner setup

 -- Ross Gammon <rossgammon@debian.org>  Sun, 09 Jun 2019 10:55:39 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libtool,
  libjs-jquery,
  libjs-jquery-colorbox
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://calf-studio-gear.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/calf.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/calf

## calf 0.90.2-2~ubuntu18.04.1+9.0trisquel1

=== debian/changelog ===
calf (0.90.2-2~ubuntu18.04.1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Aug 2019 22:29:52 +0000

calf (0.90.2-2~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 13 Jul 2019 04:09:55 +0000

calf (0.90.2-2) UNRELEASED; urgency=medium

  * New sync from Debian experimental

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 10 Jun 2019 20:30:49 -0700

## calf 0.90.3

=== debian/changelog ===
calf (0.90.3-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:56 +1100

calf (0.90.3-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:01:26 +0000

calf (0.90.3-4) unstable; urgency=medium

  * Bump Standards Version to 4.6.1
  * Remove obsolete d/source/local-options
  * Add libjack-jackd2-dev as optional B-D
  * Update d/source/lintian-overrides
  * Change my email address
  * Apply wrap-and-sort -ast
  * d/copyright: Add myself to the d/ section

 -- Dennis Braun <snd@debian.org>  Wed, 07 Dec 2022 10:29:04 +0100

calf (0.90.3-3) unstable; urgency=medium

  * Remove old patch 020151018~851af01 alredy present in current upstream
    release.
  * Add patch related to pitch bend working only in MIDI channel 1
    (Closes: #970631)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 11 Mar 2022 09:35:56 -0500

calf (0.90.3-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Dennis Braun ]
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.0
  * Set Rules-Requires-Root: no
  * Remove all .a and .la files after installation (Closes: #1000507)
  * Update d/source/lintian-overrides
  * Mark autopkgtest as superficial (Closes: #971454)
  * Add myself as uploader
  * Remove unnecessary automake and autoconf from B-Ds

  [ Olivier Humbert ]
  * update d/control:description since ladish is out of Debian now

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Feb 2022 19:55:01 -0500

calf (0.90.3-1) unstable; urgency=medium

  [ Ross Gammon ]
  * New upstream release
    - Fixes autopkgtest failure (LP: #1833840)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0

 -- Ross Gammon <rossgammon@debian.org>  Sun, 04 Aug 2019 16:20:58 +0200

=== debian/control ===
Source: calf
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Tiago Bortoletto Vaz <tiago@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Ross Gammon <rossgammon@debian.org>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 libasound2-dev [linux-any],
 libcairo2-dev,
 libexpat1-dev,
 libfftw3-dev,
 libfluidsynth-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libjack-dev,
 libjs-jquery,
 libjs-jquery-colorbox,
 libreadline-dev,
 libtool,
 lv2-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://calf-studio-gear.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/calf.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/calf

Package: calf-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gtk2-engines-pixbuf,
Suggests:
 ladish,
Provides:
 lv2-plugin,
Conflicts:
 calf-ladspa,
Replaces:
 calf-ladspa,
Description: Calf Studio Gear - audio effects and sound generators
 The Calf plugins include all todays frequently used studio effects
 along with some feature-rich sound processors.
 .
 Calf Studiogear is designed to run under the most flexible plugin
 standard in Linux, namely LV2. So you're able to insert them in lots of
 plugin-capable audio software like Ardour, Rosegarden and others.
 .
 The Calf Rack offers you all Calf effects and synthesizers in an
 easy-to-use studio rack. Wire the effects through Jack to build your own
 studio environment and trigger the sound processors live or through a
 MIDI sequencer or tracker.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIG_FLAGS = --enable-experimental

ifeq (i386,$(DEB_HOST_ARCH))
	CONFIG_FLAGS += --enable-sse
else ifeq (amd64,$(DEB_HOST_ARCH))
	CONFIG_FLAGS += --enable-sse
endif


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_FLAGS)

execute_after_dh_install:
	# Clean installation
	find debian/calf-plugins -name '*.a' -delete -or -name '*.la' -delete

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/calf-studio-gear/calf/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## calf 0.90.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(calf)
string(TOUPPER "${CMAKE_PROJECT_NAME}" PROJECT_NAME_UCASE)

set(PROJECT_YEAR 2023)
set(PROJECT_AUTHOR      "${PROJECT_NAME_UCASE} Developers")
set(PROJECT_URL         "https://calf-studio-gear.org/")
set(PROJECT_DESCRIPTION "${PROJECT_NAME_UCASE} Studio Gear")
set(PROJECT_COPYRIGHT   "2007-${PROJECT_YEAR} ${PROJECT_AUTHOR}")
set(VERSION_MAJOR       "0")
set(VERSION_MINOR       "90")
set(VERSION_RELEASE     "5")
set(VERSION_STAGE       "alpha")
set(VERSION_BUILD       "")
set(VERSION             "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")

configure_file("${CMAKE_SOURCE_DIR}/COPYING" "${CMAKE_BINARY_DIR}/COPYING.txt" COPYONLY)

#
# CPack
#

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY           "${PROJECT_DESCRIPTION}")
SET(CPACK_PACKAGE_VENDOR                        "${PROJECT_AUTHOR}")
SET(CPACK_PACKAGE_DESCRIPTION_FILE              "${CMAKE_SOURCE_DIR}/README.md")
SET(CPACK_RESOURCE_FILE_LICENSE                 "${CMAKE_BINARY_DIR}/COPYING.txt")
SET(CPACK_PACKAGE_VERSION_MAJOR                 "${VERSION_MAJOR}")
SET(CPACK_PACKAGE_VERSION_MINOR                 "${VERSION_MINOR}")
SET(CPACK_PACKAGE_VERSION_PATCH                 "${VERSION_RELEASE}")
IF(VERSION_STAGE)
        SET(CPACK_PACKAGE_VERSION_PATCH         "${CPACK_PACKAGE_VERSION_PATCH}-${VERSION_STAGE}")
ENDIF()
IF(VERSION_BUILD)
        SET(CPACK_PACKAGE_VERSION_PATCH         "${CPACK_PACKAGE_VERSION_PATCH}-${VERSION_BUILD}")
ENDIF()
SET(CPACK_SOURCE_GENERATOR                      "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME              "${CMAKE_PROJECT_NAME}-${VERSION}")
set(CPACK_SOURCE_IGNORE_FILES                   "/build;/\.github;/\.git/;/\.gitignore;/\.svnignore;/autogen\.sh;/configure\.ac;/Makefile\.am;${CPACK_SOURCE_IGNORE_FILES}")
SET(CPACK_PACKAGE_EXECUTABLES           "${CMAKE_PROJECT_NAME}jackhost" "${PROJECT_NAME_UCASE} binary")
# Disable strip for Debug|RelWithDebInfo
if(CMAKE_BUILD_TYPE MATCHES "Deb")
	unset(CPACK_STRIP_FILES)
else()
	set(CPACK_STRIP_FILES TRUE)
endif()

INCLUDE(CPack)

#
# Options
#

option(WANT_GUI         "Include Graphical User Interface" ON)
option(WANT_JACK        "Include JACK (Jack Audio Connection Kit) support" ON)
option(WANT_LASH        "Include LASH (LASH Audio Session Handler) support" ON)
option(WANT_DEBUG       "Create debug build" OFF)
option(WANT_LV2         "Build Lv2 wrapper" ON)
option(WANT_LV2_GUI     "GUI executable will be used for LV2" ON)
option(WANT_SORDI       "Use the sordi tool to check Lv2 files" ON)
option(WANT_EXPERIMENTAL "Enable experimental effects" OFF)

#
# Configuration
#

if(CMAKE_BUILD_TYPE STREQUAL "")
    SET(CMAKE_BUILD_TYPE "Release")
endif()

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(PkgConfig REQUIRED)
find_package(Threads REQUIRED)
find_package(EXPAT REQUIRED)

if(WANT_GUI)
    if(PKG_CONFIG_FOUND)
        pkg_check_modules(GTK gtk+-2.0>=2.12.0 cairo>=1.2.0)
    endif()
    find_package(FluidSynth REQUIRED)
    if(GTK_FOUND AND FluidSynth_FOUND)
        include_directories(${GTK_INCLUDE_DIRS})
        set(USE_GUI TRUE)
        set(STATUS_GUI "OK")
    elseif(NOT GTK_FOUND)
        set(STATUS_GUI "not found - (GTK+ 2.12 and cairo 1.2 or newer required)")
    elseif(NOT FluidSynth_FOUND)
        set(STATUS_GUI "not found - (FLUIDSYNTH required)")
    endif()
else()
    set(STATUS_GUI "not built as requested")
endif()

if(WANT_JACK)
    if(PKG_CONFIG_FOUND)
        pkg_check_modules(JACK jack>=0.77)
    endif()
    if(JACK_FOUND)
        set(USE_JACK TRUE)
        if(JACK_VERSION VERSION_GREATER_EQUAL "0.105.0")
            set(OLD_JACK FALSE)
        else()
            set(OLD_JACK TRUE)
        endif()
        if(JACK_VERSION VERSION_GREATER_EQUAL "0.124.0")
            set(JACK_HAS_RENAME TRUE)
        else()
            set(JACK_HAS_RENAME FALSE)
        endif()
        set(STATUS_JACK "OK")
    else()
        set(STATUS_JACK "not found, install it or set PKG_CONFIG_PATH appropriately")
    endif()
else()
    set(STATUS_JACK "not built as requested")
endif()

if(WANT_LASH)
    if(PKG_CONFIG_FOUND)
        pkg_search_module(LASH lash-1.0)
    endif()
    if(LASH_FOUND)
        include_directories(${LASH_INCLUDE_DIRS})
        add_definitions(-DLASH=1)
        list(APPEND AUDIO_LIBRARIES ${LASH_LIBRARIES})
        list(APPEND AUDIO_LIBRARY_DIRS ${LASH_LIBRARY_DIRS})

        if(LASH_VERSION VERSION_GREATER_EQUAL "0.6")
            set(USE_LASH_0_6 TRUE)
        else()
            set(USE_LASH_0_6 FALSE)
        endif()
        set(STATUS_LASH "OK")
    else()
        set(STATUS_LASH "not found, install it or set PKG_CONFIG_PATH appropriately")
    endif()
    # mark_as_advanced(LASH_LIBRARIES)
else()
    set(STATUS_LASH "not built as requested")
endif()

if(WANT_LV2)
    if(PKG_CONFIG_FOUND)
        pkg_check_modules(LV2 lv2)
    endif()
    if(NOT LV2_FOUND)
        unset(LV2_FOUND CACHE)
        find_package(LV2 CONFIG)
    endif()
    if(LV2_FOUND)
        set(USE_LV2 TRUE)
        set(STATUS_LV2 "OK")
    else()
        set(STATUS_LV2 "not found, install it or set PKG_CONFIG_PATH appropriately")
    endif()
else()
    set(STATUS_LV2 "not built, as requested")
endif()

if(WANT_LV2_GUI)
    if(USE_LV2 AND USE_GUI)
        set(USE_LV2_GUI TRUE)
        set(STATUS_LV2_GUI "OK")
    elseif(USE_LV2 AND NOT USE_GUI)
        set(STATUS_LV2_GUI "not build, because no GUI support")
    elseif(NOT USE_LV2 AND USE_GUI)
        set(STATUS_LV2_GUI "not build, because no Lv2 support")
    else(NOT USE_LV2 AND USE_GUI)
        set(STATUS_LV2_GUI "not build, because no GUI and no Lv2 support")
    endif()
else()
    set(STATUS_LV2_GUI "not built, as requested")
endif()

if(WANT_SORDI)
    find_program(SORDI NAMES sordi)
    if(SORDI)
        set(USE_SORDI TRUE)
        set(STATUS_SORDI "OK")
    else()
        set(STATUS_SORDI "not found")
    endif()
else()
    set(STATUS_LV2_SORDI "not run, as requested")
endif()

if(WANT_EXPERIMENTAL)
    set(STATUS_EXPERIMENTAL "OK")
    set(ENABLE_EXPERIMENTAL TRUE)
else()
    set(STATUS_EXPERIMENTAL "not built, as requested")
endif()

configure_file(config.h.cmake.in config.h)
include_directories(${CMAKE_BINARY_DIR})

#
# Compile & Install
#

add_subdirectory(src)
add_subdirectory(gui)
add_subdirectory(icons)

#
# Install targets (except src)
#

install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/
        DESTINATION share/doc/${PROJECT_NAME} FILES_MATCHING PATTERN "*.html")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/
        DESTINATION share/doc/${PROJECT_NAME}/images FILES_MATCHING PATTERN "*.png")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/
        DESTINATION share/doc/${PROJECT_NAME}/images FILES_MATCHING PATTERN "*.jpg")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/prettyPhoto/dark_rounded/
        DESTINATION share/doc/${PROJECT_NAME}/images/prettyPhoto/dark_rounded)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/icons/
        DESTINATION share/doc/${PROJECT_NAME}/images/icons)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/scripts
        DESTINATION share/doc/${PROJECT_NAME} FILES_MATCHING PATTERN "*.css")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/scripts/
        DESTINATION share/doc/${PROJECT_NAME}/scripts FILES_MATCHING PATTERN "*.js")
install(DIRECTORY ${CMAKE_SOURCE_DIR}/sf2/
        DESTINATION share/${PROJECT_NAME}/sf2 FILES_MATCHING PATTERN "*.sf2")

#
# Status
#

message(
    "\n"
    "Summary\n"
    "-------\n"
    "* Build product           : ${PROJECT_NAME} ${VERSION}\n")
if(CMAKE_BUILD_TYPE)
    if(CMAKE_BUILD_TYPE STREQUAL "Debug")
        set(BUILD_TYPE_HINT " (WARNING: VERY SLOW!)")
    endif()
    message("* Build type              : ${CMAKE_BUILD_TYPE}${BUILD_TYPE_HINT}\n")
endif()
message(
    "* Install Prefix          : ${CMAKE_INSTALL_PREFIX}\n"
    "* Jack                    : ${STATUS_JACK}\n"
    "* LASH                    : ${STATUS_LASH}\n"
    "* GUI                     : ${STATUS_GUI}\n"
    "* LV2                     : ${STATUS_LV2}\n"
    "* LV2 GUI                 : ${STATUS_LV2_GUI}\n"
    "* Sordi sanity checks     : ${STATUS_SORDI}\n"
    "* Experimental plugins    : ${STATUS_EXPERIMENTAL}\n"
)

=== icons/CMakeLists.txt ===
set(SIZES 16x16 22x22 24x24 32x32 48x48 64x64 128x128 256x256)

foreach(size ${SIZES})
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_${size}.png"
        DESTINATION "share/icons/hicolor/${size}/apps/"
        RENAME "${PROJECT_NAME}.png")
    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_plugin_${size}.png"
        DESTINATION "share/icons/hicolor/${size}/apps/"
        RENAME "${PROJECT_NAME}_plugin.png")
endforeach()

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_scalable.svg"
        DESTINATION "share/icons/hicolor/scalable/apps/"
        RENAME "${PROJECT_NAME}.svg")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}_plugin_scalable.svg"
        DESTINATION "share/icons/hicolor/scalable/apps/"
        RENAME "${PROJECT_NAME}_plugin.svg")

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    install(CODE "execute_process(COMMAND gtk-update-icon-cache -f -t \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/share/icons/hicolor\")")
endif()

=== src/CMakeLists.txt ===
#
# General compile options
#

include(CheckLinkerFlag)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
add_compile_options(-ffast-math -finline-limit=80 -finline-functions -finline-functions-called-once)
if(MSVC)
    add_compile_definitions(_USE_MATH_DEFINES)
endif()

#
# libcalf.a
#
if(MSVC)
    add_library(${PROJECT_NAME} STATIC audio_fx.cpp analyzer.cpp lv2wrap.cpp metadata.cpp modules_tools.cpp modules_delay.cpp modules_comp.cpp modules_limit.cpp modules_dist.cpp modules_filter.cpp modules_mod.cpp modules_pitch.cpp fluidsynth.cpp giface.cpp monosynth.cpp organ.cpp osctl.cpp plugin.cpp preset.cpp synth.cpp utils.cpp wavetable.cpp modmatrix.cpp pffft.c shaping_clipper.cpp)
else()
    add_library(${PROJECT_NAME} SHARED audio_fx.cpp analyzer.cpp lv2wrap.cpp metadata.cpp modules_tools.cpp modules_delay.cpp modules_comp.cpp modules_limit.cpp modules_dist.cpp modules_filter.cpp modules_mod.cpp modules_pitch.cpp fluidsynth.cpp giface.cpp monosynth.cpp organ.cpp osctl.cpp plugin.cpp preset.cpp synth.cpp utils.cpp wavetable.cpp modmatrix.cpp pffft.c shaping_clipper.cpp)
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

target_include_directories(${PROJECT_NAME} PRIVATE ${EXPAT_INCLUDE_DIRS} ${FluidSynth_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} PUBLIC Threads::Threads ${EXPAT_LIBRARIES} fluidsynth)

if(USE_GUI)
    target_include_directories(${PROJECT_NAME} PRIVATE ${GTK_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${GTK_LIBRARIES})
endif()

if(USE_JACK)
    target_include_directories(${PROJECT_NAME} PRIVATE ${JACK_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${JACK_LIBRARIES})
endif()

if(USE_LASH)
    target_include_directories(${PROJECT_NAME} PRIVATE ${LASH_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${LASH_LIBRARIES})
endif()

if(USE_LV2)
    target_include_directories(${PROJECT_NAME} PRIVATE ${LV2_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${LV2_LIBRARIES})
endif()

#
# UIs
#

if(USE_GUI)
    add_library(${PROJECT_NAME}gui ctl_curve.cpp ctl_keyboard.cpp ctl_knob.cpp ctl_led.cpp ctl_tube.cpp ctl_vumeter.cpp ctl_frame.cpp ctl_fader.cpp ctl_buttons.cpp ctl_notebook.cpp ctl_meterscale.cpp ctl_combobox.cpp ctl_tuner.cpp ctl_phasegraph.cpp ctl_pattern.cpp gui.cpp gui_config.cpp gui_controls.cpp osctl.cpp plugin_gui_window.cpp preset_gui.cpp utils.cpp ctl_linegraph.cpp drawingutils.cpp)
    target_include_directories(${PROJECT_NAME}gui PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(${PROJECT_NAME}gui PRIVATE Threads::Threads ${GTK_LIBRARIES} fluidsynth)
endif()


if(USE_LV2 AND USE_GUI)
    set(LV2DIR "${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2")
    add_library(${PROJECT_NAME}lv2gui SHARED gui.cpp gui_config.cpp gui_controls.cpp ctl_curve.cpp ctl_keyboard.cpp ctl_knob.cpp ctl_led.cpp ctl_tube.cpp ctl_vumeter.cpp ctl_frame.cpp ctl_fader.cpp ctl_buttons.cpp ctl_notebook.cpp ctl_meterscale.cpp ctl_combobox.cpp ctl_tuner.cpp ctl_phasegraph.cpp ctl_pattern.cpp metadata.cpp giface.cpp plugin_gui_window.cpp preset.cpp preset_gui.cpp lv2gui.cpp osctl.cpp utils.cpp ctl_linegraph.cpp drawingutils.cpp)
    target_include_directories(${PROJECT_NAME}lv2gui PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    check_linker_flag(CXX -Wl,-z,nodelete LINKER_SUPPORTS_NODELETE)
    if (LINKER_SUPPORTS_NODELETE)
        target_link_options(${PROJECT_NAME}lv2gui PRIVATE -Wl,-z,nodelete)
    endif()
    target_link_libraries(${PROJECT_NAME}lv2gui PRIVATE Threads::Threads ${GTK_LIBRARIES} ${EXPAT_LIBRARIES} fluidsynth)
    set_target_properties(${PROJECT_NAME} PROPERTIES
        INSTALL_RPATH "${LV2DIR}"
        BUILD_WITH_INSTALL_RPATH TRUE
    )
endif()

#
# calfjackhost
#
if(USE_GUI AND USE_JACK)
    add_executable(${PROJECT_NAME}jackhost gtk_session_env.cpp host_session.cpp jack_client.cpp jackhost.cpp gtk_main_win.cpp connector.cpp session_mgr.cpp)
    
    target_include_directories(${PROJECT_NAME}jackhost PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(${PROJECT_NAME}jackhost PRIVATE Threads::Threads ${PROJECT_NAME}gui ${PROJECT_NAME} ${JACK_LIBRARIES} ${GTK_LIBRARIES} fluidsynth)
    
    set_target_properties(${PROJECT_NAME}jackhost PROPERTIES
        INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}"
        BUILD_WITH_INSTALL_RPATH TRUE
    )
endif()

#
# calfmakerdf
#

if(MSVC)
    add_executable(${PROJECT_NAME}makerdf makerdf.cpp getopt_windows.cpp)
else()
    add_executable(${PROJECT_NAME}makerdf makerdf.cpp)
endif()
target_include_directories(${PROJECT_NAME}makerdf PRIVATE ${CMAKE_CURRENT_SOURCE_DIR} ${EXPAT_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}makerdf PRIVATE ${PROJECT_NAME} Threads::Threads ${EXPAT_LIBRARIES} fluidsynth)

#
# install
#

install(FILES ${CMAKE_SOURCE_DIR}/presets.xml
        DESTINATION share/${PROJECT_NAME}/)

if(USE_GUI)
    install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}-gui.xml
            DESTINATION share/${PROJECT_NAME}/)
    if(USE_JACK)
        install(TARGETS ${PROJECT_NAME}jackhost DESTINATION bin)
    endif()
endif()

# Install libs
install(TARGETS ${PROJECT_NAME} LIBRARY DESTINATION lib/${PROJECT_NAME})
if(USE_GUI)
    install(TARGETS ${PROJECT_NAME}lv2gui DESTINATION lib/${PROJECT_NAME})
endif()

if(USE_LV2)
    # Create Lv2 install dir
    install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E make_directory \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2\")"
            RESULT_VARIABLE calfResult)
    if(NOT ${calfResult} EQUAL 0)
        message(FATAL_ERROR "Could not create ${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/")
    endif()
    # Create symlinks from Lv2 install dir to libs
    install(CODE "execute_process( \
        COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \
	\"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}.so\" \
	\"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}.so\" \
        )"
        RESULT_VARIABLE calfResult
    )
    if(NOT ${calfResult} EQUAL 0)
        message(FATAL_ERROR "Could not create ${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}.so")
    endif()
    if(USE_GUI)
        install(CODE "execute_process( \
            COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \
            \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}lv2gui.so\" \
            \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}lv2gui.so\" \
            )"
            RESULT_VARIABLE calfResult
        )
        if(NOT ${calfResult} EQUAL 0)
            message(FATAL_ERROR "Could not create ${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}lv2gui.so")
        endif()
    endif()

    # Remove previous .ttl files
    file(GLOB ttl_files "${CMAKE_INSTALL_PREFIX}/lib/lv2/*.ttl")
    foreach(ttl_file ${ttl_files})
        file(REMOVE "${ttl_file}")
    endforeach()

    # Install new .ttl files
    install(CODE "execute_process(COMMAND \"${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}makerdf\" -m ttl -p \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2\" -d \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/\")")

    # Check files with "sordi"
    if(USE_SORDI)
        file(GLOB ttl_files "${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/*.ttl")
        foreach(ttl_file ${ttl_files})
            install(
                CODE "execute_process(COMMAND \"${SORDI}\" -o turtle \"${ttl_file}\")"
                RESULT_VARIABLE result
                OUTPUT_VARIABLE nothing
                )
            if(NOT ${result} EQUAL 0)
                message(FATAL_ERROR "Sordi failed for ${ttl_file}")
            endif()
        endforeach()
    endif()
endif()

=== debian/changelog ===
calf (0.90.5-0ubuntu2) plucky; urgency=medium

  * Patch to fix symlink locations (LP: #2109344)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 02 May 2025 10:43:47 -0700

calf (0.90.5-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * Refresh patchset, remove upstreamed patches
  * d/control: add cmake to build-depends
  * d/rules: build with '-march=native' on armhf

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 25 Mar 2025 17:02:58 -0700

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  Ross Gammon <rossgammon@debian.org>,
  Dennis Braun <snd@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
  dh-buildinfo,
  libasound2-dev [linux-any],

=== debian/tests/control ===
Tests: version
Depends:
 xauth,
 xvfb,
 @,
Restrictions: superficial

## calf 0.90.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 set(PROJECT_COPYRIGHT   "2007-${PROJECT_YEAR} ${PROJECT_AUTHOR}")
 set(VERSION_MAJOR       "0")
 set(VERSION_MINOR       "90")
-set(VERSION_RELEASE     "5")
+set(VERSION_RELEASE     "6")
 set(VERSION_STAGE       "alpha")
 set(VERSION_BUILD       "")
 set(VERSION             "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
@@ -193,6 +193,7 @@
 endif()
 
 configure_file(config.h.cmake.in config.h)
+configure_file(${PROJECT_NAME}.desktop.in ${PROJECT_NAME}.desktop)
 include_directories(${CMAKE_BINARY_DIR})
 
 #
@@ -207,6 +208,7 @@
 # Install targets (except src)
 #
 
+include(GNUInstallDirs)
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/
         DESTINATION share/doc/${PROJECT_NAME} FILES_MATCHING PATTERN "*.html")
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/
@@ -223,6 +225,14 @@
         DESTINATION share/doc/${PROJECT_NAME}/scripts FILES_MATCHING PATTERN "*.js")
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/sf2/
         DESTINATION share/${PROJECT_NAME}/sf2 FILES_MATCHING PATTERN "*.sf2")
+install(FILES ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.desktop
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}jackhost.1
+        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}.7
+        DESTINATION ${CMAKE_INSTALL_MANDIR}/man7)
+install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions)
 
 #
 # Status

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -129,7 +129,7 @@
     # Create symlinks from Lv2 install dir to libs
     install(CODE "execute_process( \
         COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \
-	\"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}.so\" \
+	\"${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}.so\" \
 	\"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}.so\" \
         )"
         RESULT_VARIABLE calfResult
@@ -140,7 +140,7 @@
     if(USE_GUI)
         install(CODE "execute_process( \
             COMMAND \"${CMAKE_COMMAND}\" -E create_symlink \
-            \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}lv2gui.so\" \
+            \"${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}/lib${PROJECT_NAME}lv2gui.so\" \
             \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/lv2/${PROJECT_NAME}.lv2/${PROJECT_NAME}lv2gui.so\" \
             )"
             RESULT_VARIABLE calfResult

=== gui/icons/LV2/CMakeLists.txt ===
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
        DESTINATION share/${PROJECT_NAME}/icons/LV2 FILES_MATCHING PATTERN "*.svg")

=== debian/changelog ===
calf (0.90.6-2) unstable; urgency=medium

  * Remove ladish from Suggests as it's no longer in Debian. Thanks to Carles
    Pina (Closes: #1117817).

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 18 Oct 2025 06:40:59 -0400

calf (0.90.6-1) unstable; urgency=medium

  * New upstream version 0.90.6
  * Bump Standards-Version to 4.7.2
  * Refresh patchset, drop desktop keywords patch applied by upstream
  * Change maintainer to Debian Multimedia Maintainers again

 -- Dennis Braun <snd@debian.org>  Fri, 04 Apr 2025 10:16:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: calf
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Tiago Bortoletto Vaz <tiago@debian.org>,
@@ -12,7 +11,6 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-buildinfo,
  libasound2-dev [linux-any],
  libcairo2-dev,
  libexpat1-dev,
@@ -27,7 +25,7 @@
  libtool,
  lv2-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://calf-studio-gear.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/calf.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/calf
@@ -39,8 +37,6 @@
  ${shlibs:Depends},
 Recommends:
  gtk2-engines-pixbuf,
-Suggests:
- ladish,
 Provides:
  lv2-plugin,
 Conflicts:

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (armhf,$(DEB_HOST_ARCH))
	CFLAGS += -march=native
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_FLAGS)

execute_after_dh_install:
	# Clean installation
	find debian/calf-plugins -name '*.a' -delete -or -name '*.la' -delete

## calf 0.90.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 set(PROJECT_COPYRIGHT   "2007-${PROJECT_YEAR} ${PROJECT_AUTHOR}")
 set(VERSION_MAJOR       "0")
 set(VERSION_MINOR       "90")
-set(VERSION_RELEASE     "6")
+set(VERSION_RELEASE     "9")
 set(VERSION_STAGE       "alpha")
 set(VERSION_BUILD       "")
 set(VERSION             "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
@@ -51,14 +51,21 @@
 # Options
 #
 
+include(GNUInstallDirs)
+
 option(WANT_GUI         "Include Graphical User Interface" ON)
 option(WANT_JACK        "Include JACK (Jack Audio Connection Kit) support" ON)
 option(WANT_LASH        "Include LASH (LASH Audio Session Handler) support" ON)
 option(WANT_DEBUG       "Create debug build" OFF)
+option(WANT_SSE         "Compile with SSE extensions" OFF)
 option(WANT_LV2         "Build Lv2 wrapper" ON)
 option(WANT_LV2_GUI     "GUI executable will be used for LV2" ON)
 option(WANT_SORDI       "Use the sordi tool to check Lv2 files" ON)
 option(WANT_EXPERIMENTAL "Enable experimental effects" OFF)
+option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
+
+set(LV2DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/lv2"
+    CACHE PATH "Install path (absolute) for the LV2 plugin bundle")
 
 #
 # Configuration
@@ -193,7 +200,6 @@
 endif()
 
 configure_file(config.h.cmake.in config.h)
-configure_file(${PROJECT_NAME}.desktop.in ${PROJECT_NAME}.desktop)
 include_directories(${CMAKE_BINARY_DIR})
 
 #
@@ -208,25 +214,26 @@
 # Install targets (except src)
 #
 
-include(GNUInstallDirs)
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/
-        DESTINATION share/doc/${PROJECT_NAME} FILES_MATCHING PATTERN "*.html")
+        DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.html")
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/
-        DESTINATION share/doc/${PROJECT_NAME}/images FILES_MATCHING PATTERN "*.png")
+        DESTINATION ${CMAKE_INSTALL_DOCDIR}/images FILES_MATCHING PATTERN "*.png")
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/
-        DESTINATION share/doc/${PROJECT_NAME}/images FILES_MATCHING PATTERN "*.jpg")
+        DESTINATION ${CMAKE_INSTALL_DOCDIR}/images FILES_MATCHING PATTERN "*.jpg")
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/prettyPhoto/dark_rounded/
-        DESTINATION share/doc/${PROJECT_NAME}/images/prettyPhoto/dark_rounded)
+        DESTINATION ${CMAKE_INSTALL_DOCDIR}/images/prettyPhoto/dark_rounded)
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/images/icons/
-        DESTINATION share/doc/${PROJECT_NAME}/images/icons)
+        DESTINATION ${CMAKE_INSTALL_DOCDIR}/images/icons)
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/scripts
-        DESTINATION share/doc/${PROJECT_NAME} FILES_MATCHING PATTERN "*.css")
+        DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.css")
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/doc/manuals/scripts/
-        DESTINATION share/doc/${PROJECT_NAME}/scripts FILES_MATCHING PATTERN "*.js")
+        DESTINATION ${CMAKE_INSTALL_DOCDIR}/scripts FILES_MATCHING PATTERN "*.js")
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/sf2/
-        DESTINATION share/${PROJECT_NAME}/sf2 FILES_MATCHING PATTERN "*.sf2")
-install(FILES ${CMAKE_BINARY_DIR}/${PROJECT_NAME}.desktop
-        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/sf2 FILES_MATCHING PATTERN "*.sf2")
+if(WANT_GUI)
+    install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}.desktop
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+endif()
 install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}jackhost.1
         DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}.7

=== src/CMakeLists.txt ===
#
# General compile options
#

include(CheckLinkerFlag)
include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
add_compile_options(-ffast-math -finline-limit=80 -finline-functions -finline-functions-called-once)
if(WANT_SSE)
    add_compile_options(-msse -mfpmath=sse)
endif()
if(MSVC)
    add_compile_definitions(_USE_MATH_DEFINES)
endif()

#
# libcalf.a
#
if(MSVC)
    add_library(${PROJECT_NAME} STATIC audio_fx.cpp analyzer.cpp lv2wrap.cpp metadata.cpp modules_tools.cpp modules_delay.cpp modules_comp.cpp modules_limit.cpp modules_dist.cpp modules_filter.cpp modules_mod.cpp modules_pitch.cpp fluidsynth.cpp giface.cpp monosynth.cpp organ.cpp osctl.cpp plugin.cpp preset.cpp synth.cpp utils.cpp wavetable.cpp modmatrix.cpp pffft.c shaping_clipper.cpp)
else()
    add_library(${PROJECT_NAME} audio_fx.cpp analyzer.cpp lv2wrap.cpp metadata.cpp modules_tools.cpp modules_delay.cpp modules_comp.cpp modules_limit.cpp modules_dist.cpp modules_filter.cpp modules_mod.cpp modules_pitch.cpp fluidsynth.cpp giface.cpp monosynth.cpp organ.cpp osctl.cpp plugin.cpp preset.cpp synth.cpp utils.cpp wavetable.cpp modmatrix.cpp pffft.c shaping_clipper.cpp)
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

target_include_directories(${PROJECT_NAME} PRIVATE ${EXPAT_INCLUDE_DIRS} ${FluidSynth_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} PUBLIC Threads::Threads ${EXPAT_LIBRARIES} fluidsynth)

if(USE_GUI)
    target_include_directories(${PROJECT_NAME} PRIVATE ${GTK_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${GTK_LIBRARIES})
endif()

if(USE_JACK)
    target_include_directories(${PROJECT_NAME} PRIVATE ${JACK_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${JACK_LIBRARIES})
endif()

if(USE_LASH)
    target_include_directories(${PROJECT_NAME} PRIVATE ${LASH_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${LASH_LIBRARIES})
endif()

if(USE_LV2)
    target_include_directories(${PROJECT_NAME} PRIVATE ${LV2_INCLUDE_DIRS})
    target_link_libraries(${PROJECT_NAME} PRIVATE Threads::Threads ${LV2_LIBRARIES})
    set(LV2DIR_PROJ "${LV2DIR}/${PROJECT_NAME}.lv2")
endif()

#
# UIs
#

if(USE_GUI)
	add_library(${PROJECT_NAME}gui STATIC ctl_curve.cpp ctl_keyboard.cpp ctl_knob.cpp ctl_led.cpp ctl_tube.cpp ctl_vumeter.cpp ctl_frame.cpp ctl_fader.cpp ctl_buttons.cpp ctl_notebook.cpp ctl_meterscale.cpp ctl_combobox.cpp ctl_tuner.cpp ctl_phasegraph.cpp ctl_pattern.cpp gui.cpp gui_config.cpp gui_controls.cpp osctl.cpp plugin_gui_window.cpp preset_gui.cpp utils.cpp ctl_linegraph.cpp drawingutils.cpp)
    target_include_directories(${PROJECT_NAME}gui PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(${PROJECT_NAME}gui PRIVATE Threads::Threads ${GTK_LIBRARIES} fluidsynth)
endif()


if(USE_LV2 AND USE_GUI)
    add_library(${PROJECT_NAME}lv2gui gui.cpp gui_config.cpp gui_controls.cpp ctl_curve.cpp ctl_keyboard.cpp ctl_knob.cpp ctl_led.cpp ctl_tube.cpp ctl_vumeter.cpp ctl_frame.cpp ctl_fader.cpp ctl_buttons.cpp ctl_notebook.cpp ctl_meterscale.cpp ctl_combobox.cpp ctl_tuner.cpp ctl_phasegraph.cpp ctl_pattern.cpp metadata.cpp giface.cpp plugin_gui_window.cpp preset.cpp preset_gui.cpp lv2gui.cpp osctl.cpp utils.cpp ctl_linegraph.cpp drawingutils.cpp)
    target_include_directories(${PROJECT_NAME}lv2gui PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    check_linker_flag(CXX -Wl,-z,nodelete LINKER_SUPPORTS_NODELETE)
    if (LINKER_SUPPORTS_NODELETE)
        target_link_options(${PROJECT_NAME}lv2gui PRIVATE -Wl,-z,nodelete)
    endif()
    target_link_libraries(${PROJECT_NAME}lv2gui PRIVATE Threads::Threads ${GTK_LIBRARIES} ${EXPAT_LIBRARIES} fluidsynth)
    set_target_properties(${PROJECT_NAME} PROPERTIES
        INSTALL_RPATH "${LV2DIR_PROJ}"
        BUILD_WITH_INSTALL_RPATH TRUE
    )
endif()

#
# calfjackhost
#
if(USE_GUI AND USE_JACK)
    add_executable(${PROJECT_NAME}jackhost gtk_session_env.cpp host_session.cpp jack_client.cpp jackhost.cpp gtk_main_win.cpp connector.cpp session_mgr.cpp)
    
    target_include_directories(${PROJECT_NAME}jackhost PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
    target_link_libraries(${PROJECT_NAME}jackhost PRIVATE Threads::Threads ${PROJECT_NAME}gui ${PROJECT_NAME} ${JACK_LIBRARIES} ${GTK_LIBRARIES} fluidsynth)
    
    set_target_properties(${PROJECT_NAME}jackhost PROPERTIES
        INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
        BUILD_WITH_INSTALL_RPATH TRUE
    )
endif()

#
# calfmakerdf
#

add_executable(${PROJECT_NAME}makerdf makerdf.cpp)
target_include_directories(${PROJECT_NAME}makerdf PRIVATE ${CMAKE_CURRENT_SOURCE_DIR} ${EXPAT_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}makerdf PRIVATE ${PROJECT_NAME} Threads::Threads ${EXPAT_LIBRARIES} fluidsynth)

#
# install
#

install(FILES ${CMAKE_SOURCE_DIR}/presets.xml
        DESTINATION share/${PROJECT_NAME}/)

if(USE_GUI)
    install(FILES ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}-gui.xml
            DESTINATION share/${PROJECT_NAME}/)
    if(USE_JACK)
        install(TARGETS ${PROJECT_NAME}jackhost DESTINATION ${CMAKE_INSTALL_BINDIR})
    endif()
endif()

# Install libs
install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME})
if(USE_LV2 AND USE_GUI)
    install(TARGETS ${PROJECT_NAME}lv2gui DESTINATION ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME})
endif()

if(BUILD_SHARED_LIBS)
    set(LIB_PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")
    set(LIB_SUFFIX "${CMAKE_SHARED_LIBRARY_SUFFIX}")
else()
    set(LIB_PREFIX "${CMAKE_STATIC_LIBRARY_PREFIX}")
    set(LIB_SUFFIX "${CMAKE_STATIC_LIBRARY_SUFFIX}")
endif()

if(USE_LV2)
    if(MSVC)
        # symlinks require special privilege on Windows
        set(COPY_ACTION "copy")
    else()
        set(COPY_ACTION "create_symlink")
    endif()

    # Create Lv2 install dir
    install(CODE "execute_process(COMMAND \"${CMAKE_COMMAND}\" -E make_directory \"\$ENV{DESTDIR}${LV2DIR_PROJ}\")"
            RESULT_VARIABLE calfResult)
    if(NOT ${calfResult} EQUAL 0)
        message(FATAL_ERROR "Could not create ${LV2DIR_PROJ}/")
    endif()
    # Create symlinks from Lv2 install dir to libs
    install(CODE "execute_process( \
        COMMAND \"${CMAKE_COMMAND}\" -E ${COPY_ACTION} \
	\"${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/${LIB_PREFIX}${PROJECT_NAME}${LIB_SUFFIX}\" \
	\"\$ENV{DESTDIR}${LV2DIR_PROJ}/${PROJECT_NAME}${LIB_SUFFIX}\" \
        )"
        RESULT_VARIABLE calfResult
    )
    if(NOT ${calfResult} EQUAL 0)
        message(FATAL_ERROR "Could not create ${LV2DIR_PROJ}/${PROJECT_NAME}${LIB_SUFFIX}")
    endif()
    if(USE_GUI)
        install(CODE "execute_process( \
            COMMAND \"${CMAKE_COMMAND}\" -E ${COPY_ACTION} \
            \"${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/${LIB_PREFIX}${PROJECT_NAME}lv2gui${LIB_SUFFIX}\" \
            \"\$ENV{DESTDIR}${LV2DIR_PROJ}/${PROJECT_NAME}lv2gui${LIB_SUFFIX}\" \
            )"
            RESULT_VARIABLE calfResult
        )
        if(NOT ${calfResult} EQUAL 0)
            message(FATAL_ERROR "Could not create ${LV2DIR_PROJ}/${PROJECT_NAME}lv2gui${LIB_SUFFIX}")
        endif()
    endif()

    # Remove previous .ttl files
    file(GLOB ttl_files "${LV2DIR_PROJ}/*.ttl")
    foreach(ttl_file ${ttl_files})
        file(REMOVE "${ttl_file}")
    endforeach()

    # Install new .ttl files
    install(CODE "execute_process(COMMAND \"${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}makerdf\" -m ttl -p \"\$ENV{DESTDIR}${LV2DIR_PROJ}\" -d \"\$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/share/${PROJECT_NAME}/\")")

    # Check files with "sordi"
    if(USE_SORDI)
        file(GLOB ttl_files "${LV2DIR_PROJ}/*.ttl")
        foreach(ttl_file ${ttl_files})
            install(
                CODE "execute_process(COMMAND \"${SORDI}\" -o turtle \"${ttl_file}\")"
                RESULT_VARIABLE result
                OUTPUT_VARIABLE nothing
                )
            if(NOT ${result} EQUAL 0)
                message(FATAL_ERROR "Sordi failed for ${ttl_file}")
            endif()
        endforeach()
    endif()
endif()

=== debian/changelog ===
calf (0.90.9-2) unstable; urgency=medium

  * Team upload
  * Drop autopkgtest
  * Enable SSE on hurd as well

 -- Bastian Germann <bage@debian.org>  Tue, 27 Jan 2026 11:43:07 +0100

calf (0.90.9-1) unstable; urgency=medium

  * Team upload
  * Drop gui (Closes: #967281)
  * New upstream version 0.90.9

 -- Bastian Germann <bage@debian.org>  Mon, 26 Jan 2026 23:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  libfftw3-dev,
  libfluidsynth-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
  libjack-dev,
  libjs-jquery,
  libjs-jquery-colorbox,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 ifeq (armhf,$(DEB_HOST_ARCH))
 	CFLAGS += -march=native
+else ifeq (i386,$(DEB_HOST_ARCH_CPU))
+	CONFIG_FLAGS += -DWANT_SSE=ON
+else ifeq (amd64,$(DEB_HOST_ARCH_CPU))
+	CONFIG_FLAGS += -DWANT_SSE=ON
 endif
 
 %:
